Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Protected Member Functions | Protected Attributes | Private Member Functions | List of all members
eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\DoctrineDatabase Class Reference

Doctrine database based content type gateway. More...

Inheritance diagram for eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\DoctrineDatabase:

## Public Member Functions
| __construct (DatabaseHandler $db, Connection $connection, MaskGenerator $languageMaskGenerator)
| Creates a new gateway based on $db. More...
| insertGroup (Group $group)
| Inserts the given $group. More...
| updateGroup (GroupUpdateStruct $group)
| Updates a group with data in $group. More...
| countTypesInGroup ($groupId)
| Returns the number of types in a certain group. More...
| countGroupsForType ($typeId, $status)
| Returns the number of Groups the type is assigned to. More...
| deleteGroup ($groupId)
| Deletes the Group with the given $groupId. More...
| insertType (Type $type, $typeId=null)
| Inserts a new content type. More...
| insertGroupAssignment ($groupId, $typeId, $status)
| Insert assignment of $typeId to $groupId. More...
| deleteGroupAssignment ($groupId, $typeId, $status)
| Deletes a group assignments for a Type. More...
| loadGroupData (array $groupIds)
| Loads data about Groups with $groupIds. More...
| loadGroupDataByIdentifier ($identifier)
| Loads data about Group with $identifier. More...
| loadAllGroupsData ()
| Returns an array with data about all Group objects. More...
| loadTypesDataForGroup ($groupId, $status)
| Loads data for all Types in $status in $groupId. More...
| insertFieldDefinition ( $typeId, $status, FieldDefinition $fieldDefinition, StorageFieldDefinition $storageFieldDef)
| Inserts a $fieldDefinition for $typeId. More...
| loadFieldDefinition ($id, $status)
| Loads an array with data about field definition referred $id and $status. More...
| deleteFieldDefinition ($typeId, $status, $fieldDefinitionId)
| Deletes a field definition. More...
| updateFieldDefinition ( $typeId, $status, FieldDefinition $fieldDefinition, StorageFieldDefinition $storageFieldDef)
| Updates a $fieldDefinition for $typeId. More...
| updateType ($typeId, $status, Type $type)
| Update a type with $updateStruct. More...
| loadTypesListData (array $typeIds)
| Loads an array with data about several Types in defined status. More...
| loadTypeData ($typeId, $status)
| Loads an array with data about $typeId in $status. More...
| loadTypeDataByIdentifier ($identifier, $status)
| Loads an array with data about the type referred to by $identifier in $status. More...
| loadTypeDataByRemoteId ($remoteId, $status)
| Loads an array with data about the type referred to by $remoteId in $status. More...
| countInstancesOfType ($typeId)
| Counts the number of instances that exists of the identified type. More...
| deleteFieldDefinitionsForType ($typeId, $status)
| Deletes all field definitions of a Type. More...
| delete ($typeId, $status)
| Deletes a Type completely. More...
| deleteType ($typeId, $status)
| Deletes a the Type. More...
| deleteGroupAssignmentsForType ($typeId, $status)
| Deletes all group assignments for a Type. More...
| publishTypeAndFields ($typeId, $sourceVersion, $targetVersion)
| Publishes the Type with $typeId from $sourceVersion to $targetVersion, including its fields. More...
| getSearchableFieldMapData ()
| Returns searchable field mapping data. More...
| removeFieldDefinitionTranslation (int $fieldDefinitionId, string $languageCode, int $status)
| Removes fieldDefinition data from multilingual table. More...
| removeByUserAndVersion (int $userId, int $version)
| Removes types created or modified by the user. More...

## Protected Member Functions
| insertTypeNameData ($typeId, $typeStatus, array $languages)
| Inserts data into contentclass_name. More...
| setCommonTypeColumns (Query $q, ValueObject $type)
| Set common columns for insert/update of a Type. More...
| createGroupLoadQuery ()
| Creates the basic query to load Group data. More...
| setCommonFieldColumns (Query $q, FieldDefinition $fieldDefinition, StorageFieldDefinition $storageFieldDef)
| Set common columns for insert/update of FieldDefinition. More...
| deleteTypeNameData ($typeId, $typeStatus)
| Deletes all name data for $typeId in $typeStatus. More...
| selectColumns (SelectQuery $q, $tableName)
| Creates an array of select columns for $tableName. More...

## Protected Attributes
| $columns
| $dbHandler
| $connection
| $languageMaskGenerator

## Private Member Functions
| insertFieldDefinitionMultilingualData (int $fieldDefinitionId, MultilingualStorageFieldDefinition $multilingualData, int $status)
| fieldDefinitionMultilingualDataExist (FieldDefinition $fieldDefinition, int $languageId, int $status)
| updateFieldDefinitionMultilingualData (int $fieldDefinitionId, MultilingualStorageFieldDefinition $multilingualData, int $status)
| getLoadTypeQueryBuilder ()
| Returns a basic query to retrieve Type data. More...
| cleanupAssociations ()
| cleanupClassAttributeTable ()
| cleanupClassAttributeMLTable ()
| cleanupClassGroupTable ()
| cleanupClassNameTable ()

## Detailed Description

Doctrine database based content type gateway.

Definition at line 30 of file Persistence/Legacy/Content/Type/Gateway/DoctrineDatabase.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\DoctrineDatabase::__construct | ( | DatabaseHandler | $db,
|  | Connection | $connection,
|  | MaskGenerator | $languageMaskGenerator
| ) |  |

Creates a new gateway based on $db.

Parameters

  \eZ\Publish\Core\Persistence\Database\DatabaseHandler | $db |
  \Doctrine\DBAL\Connection | $connection |
  \eZ\Publish\Core\Persistence\Legacy\Content\Language\MaskGenerator | $languageMaskGenerator |

Definition at line 120 of file Persistence/Legacy/Content/Type/Gateway/DoctrineDatabase.php.

References eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\DoctrineDatabase\$connection, and eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\DoctrineDatabase\$languageMaskGenerator.

## Member Function Documentation

## ◆ cleanupAssociations()

eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\DoctrineDatabase::cleanupAssociations | ( |  | ) |
| private

Definition at line 1572 of file Persistence/Legacy/Content/Type/Gateway/DoctrineDatabase.php.

## ◆ cleanupClassAttributeMLTable()

eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\DoctrineDatabase::cleanupClassAttributeMLTable | ( |  | ) |
| private

Definition at line 1593 of file Persistence/Legacy/Content/Type/Gateway/DoctrineDatabase.php.

## ◆ cleanupClassAttributeTable()

eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\DoctrineDatabase::cleanupClassAttributeTable | ( |  | ) |
| private

Definition at line 1580 of file Persistence/Legacy/Content/Type/Gateway/DoctrineDatabase.php.

## ◆ cleanupClassGroupTable()

eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\DoctrineDatabase::cleanupClassGroupTable | ( |  | ) |
| private

Definition at line 1606 of file Persistence/Legacy/Content/Type/Gateway/DoctrineDatabase.php.

## ◆ cleanupClassNameTable()

eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\DoctrineDatabase::cleanupClassNameTable | ( |  | ) |
| private

Definition at line 1619 of file Persistence/Legacy/Content/Type/Gateway/DoctrineDatabase.php.

## ◆ countGroupsForType()

eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\DoctrineDatabase::countGroupsForType | ( |  | $typeId,
|  |  | $status
| ) |  |

Returns the number of Groups the type is assigned to.

Parameters

  int | $typeId |
  int | $status |

Returns
  int

Reimplemented from eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway.

Definition at line 234 of file Persistence/Legacy/Content/Type/Gateway/DoctrineDatabase.php.

References eZ\Publish\SPI\Persistence\Content\Type\$status.

## ◆ countInstancesOfType()

eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\DoctrineDatabase::countInstancesOfType | ( |  | $typeId | ) |

Counts the number of instances that exists of the identified type.

Parameters

  int | $typeId |

Returns
  int

Reimplemented from eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway.

Definition at line 1198 of file Persistence/Legacy/Content/Type/Gateway/DoctrineDatabase.php.

## ◆ countTypesInGroup()

eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\DoctrineDatabase::countTypesInGroup | ( |  | $groupId | ) |

Returns the number of types in a certain group.

Parameters

  int | $groupId |

Returns
  int

Reimplemented from eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway.

Definition at line 201 of file Persistence/Legacy/Content/Type/Gateway/DoctrineDatabase.php.

## ◆ createGroupLoadQuery()

eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\DoctrineDatabase::createGroupLoadQuery | ( |  | ) |
| protected

Creates the basic query to load Group data.

Returns
  \eZ\Publish\Core\Persistence\Database\SelectQuery

Definition at line 547 of file Persistence/Legacy/Content/Type/Gateway/DoctrineDatabase.php.

Referenced by eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\DoctrineDatabase\loadAllGroupsData(), and eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\DoctrineDatabase\loadGroupDataByIdentifier().

## ◆ delete()

eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\DoctrineDatabase::delete | ( |  | $typeId,
|  |  | $status
| ) |  |

Deletes a Type completely.

Parameters

  mixed | $typeId |
  int | $status |

Reimplemented from eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway.

Definition at line 1274 of file Persistence/Legacy/Content/Type/Gateway/DoctrineDatabase.php.

## ◆ deleteFieldDefinition()

eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\DoctrineDatabase::deleteFieldDefinition | ( |  | $typeId,
|  |  | $status,
|  |  | $fieldDefinitionId
| ) |  |

Deletes a field definition.

Parameters

  mixed | $typeId |
  int | $status |
  mixed | $fieldDefinitionId |

Reimplemented from eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway.

Definition at line 810 of file Persistence/Legacy/Content/Type/Gateway/DoctrineDatabase.php.

References eZ\Publish\SPI\Persistence\Content\Type\$status.

## ◆ deleteFieldDefinitionsForType()

eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\DoctrineDatabase::deleteFieldDefinitionsForType | ( |  | $typeId,
|  |  | $status
| ) |  |

Deletes all field definitions of a Type.

Parameters

  mixed | $typeId |
  int | $status |

Reimplemented from eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway.

Definition at line 1229 of file Persistence/Legacy/Content/Type/Gateway/DoctrineDatabase.php.

## ◆ deleteGroup()

eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\DoctrineDatabase::deleteGroup | ( |  | $groupId | ) |

Deletes the Group with the given $groupId.

Parameters

  int | $groupId |

Reimplemented from eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway.

Definition at line 272 of file Persistence/Legacy/Content/Type/Gateway/DoctrineDatabase.php.

## ◆ deleteGroupAssignment()

eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\DoctrineDatabase::deleteGroupAssignment | ( |  | $groupId,
|  |  | $typeId,
|  |  | $status
| ) |  |

Deletes a group assignments for a Type.

Parameters

  mixed | $groupId |
  mixed | $typeId |
  int | $status |

Reimplemented from eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway.

Definition at line 462 of file Persistence/Legacy/Content/Type/Gateway/DoctrineDatabase.php.

References eZ\Publish\SPI\Persistence\Content\Type\$status.

## ◆ deleteGroupAssignmentsForType()

eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\DoctrineDatabase::deleteGroupAssignmentsForType | ( |  | $typeId,
|  |  | $status
| ) |  |

Deletes all group assignments for a Type.

Parameters

  mixed | $typeId |
  int | $status |

Reimplemented from eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway.

Definition at line 1316 of file Persistence/Legacy/Content/Type/Gateway/DoctrineDatabase.php.

## ◆ deleteType()

eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\DoctrineDatabase::deleteType | ( |  | $typeId,
|  |  | $status
| ) |  |

Deletes a the Type.

Does no delete the field definitions!

Parameters

  mixed | $typeId |
  int | $status |

Reimplemented from eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway.

Definition at line 1290 of file Persistence/Legacy/Content/Type/Gateway/DoctrineDatabase.php.

## ◆ deleteTypeNameData()

eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\DoctrineDatabase::deleteTypeNameData | ( |  | $typeId,
|  |  | $typeStatus
| ) |  |
| protected

Deletes all name data for $typeId in $typeStatus.

Parameters

  int | $typeId |
  int | $typeStatus |

Definition at line 970 of file Persistence/Legacy/Content/Type/Gateway/DoctrineDatabase.php.

## ◆ fieldDefinitionMultilingualDataExist()

eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\DoctrineDatabase::fieldDefinitionMultilingualDataExist | ( | FieldDefinition | $fieldDefinition,
|  | int | $languageId,
|  | int | $status
| ) |  |
| private

Parameters

  \eZ\Publish\SPI\Persistence\Content\Type\FieldDefinition | $fieldDefinition |
  int | $languageId |
  int | $status |

Returns
  bool

Definition at line 914 of file Persistence/Legacy/Content/Type/Gateway/DoctrineDatabase.php.

## ◆ getLoadTypeQueryBuilder()

eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\DoctrineDatabase::getLoadTypeQueryBuilder | ( |  | ) |
| private

Returns a basic query to retrieve Type data.

Definition at line 1099 of file Persistence/Legacy/Content/Type/Gateway/DoctrineDatabase.php.

Referenced by eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\DoctrineDatabase\loadTypesDataForGroup().

## ◆ getSearchableFieldMapData()

eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\DoctrineDatabase::getSearchableFieldMapData | ( |  | ) |

Returns searchable field mapping data.

Returns
  array

Reimplemented from eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway.

Definition at line 1472 of file Persistence/Legacy/Content/Type/Gateway/DoctrineDatabase.php.

## ◆ insertFieldDefinition()

eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\DoctrineDatabase::insertFieldDefinition | ( |  | $typeId,
|  |  | $status,
|  | FieldDefinition | $fieldDefinition,
|  | StorageFieldDefinition | $storageFieldDef
| ) |  |

Inserts a $fieldDefinition for $typeId.

Parameters

  mixed | $typeId |
  int | $status |
  \eZ\Publish\SPI\Persistence\Content\Type\FieldDefinition | $fieldDefinition |
  \eZ\Publish\Core\Persistence\Legacy\Content\StorageFieldDefinition | $storageFieldDef |

Returns
  mixed Field definition ID

Reimplemented from eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway.

Definition at line 595 of file Persistence/Legacy/Content/Type/Gateway/DoctrineDatabase.php.

References eZ\Publish\SPI\Persistence\Content\Type\$status, eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\DoctrineDatabase\insertFieldDefinitionMultilingualData(), and eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\DoctrineDatabase\setCommonFieldColumns().

## ◆ insertFieldDefinitionMultilingualData()

eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\DoctrineDatabase::insertFieldDefinitionMultilingualData | ( | int | $fieldDefinitionId,
|  | MultilingualStorageFieldDefinition | $multilingualData,
|  | int | $status
| ) |  |
| private

Parameters

  int | $fieldDefinitionId |
  \eZ\Publish\Core\Persistence\Legacy\Content\MultilingualStorageFieldDefinition | $multilingualData |
  int | $status |

Exceptions

Definition at line 635 of file Persistence/Legacy/Content/Type/Gateway/DoctrineDatabase.php.

Referenced by eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\DoctrineDatabase\insertFieldDefinition().

## ◆ insertGroup()

eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\DoctrineDatabase::insertGroup | ( | Group | $group | ) |

Inserts the given $group.

Parameters

  \eZ\Publish\SPI\Persistence\Content\Type\Group | $group |

Returns
  mixed Group ID

Reimplemented from eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway.

Definition at line 134 of file Persistence/Legacy/Content/Type/Gateway/DoctrineDatabase.php.

## ◆ insertGroupAssignment()

eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\DoctrineDatabase::insertGroupAssignment | ( |  | $groupId,
|  |  | $typeId,
|  |  | $status
| ) |  |

Insert assignment of $typeId to $groupId.

Parameters

  mixed | $groupId |
  mixed | $typeId |
  int | $status |

Reimplemented from eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway.

Definition at line 430 of file Persistence/Legacy/Content/Type/Gateway/DoctrineDatabase.php.

References eZ\Publish\SPI\Persistence\Content\Type\$status, and eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\DoctrineDatabase\loadGroupData().

## ◆ insertType()

eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\DoctrineDatabase::insertType | ( | Type | $type,
|  |  | $typeId = `null`
| ) |  |

Inserts a new content type.

Parameters

  \eZ\Publish\SPI\Persistence\Content\Type | $type |
  mixed | null | $typeId |

Returns
  mixed Type ID

Reimplemented from eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway.

Definition at line 333 of file Persistence/Legacy/Content/Type/Gateway/DoctrineDatabase.php.

References eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\DoctrineDatabase\insertTypeNameData(), and eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\DoctrineDatabase\setCommonTypeColumns().

## ◆ insertTypeNameData()

eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\DoctrineDatabase::insertTypeNameData | ( |  | $typeId,
|  |  | $typeStatus,
|  | array | $languages
| ) |  |
| protected

Inserts data into contentclass_name.

Parameters

  int | $typeId |
  int | $typeStatus |
  string[] | $languages |

Definition at line 292 of file Persistence/Legacy/Content/Type/Gateway/DoctrineDatabase.php.

References eZ\Publish\SPI\Persistence\Content\Type\$name.

Referenced by eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\DoctrineDatabase\insertType().

## ◆ loadAllGroupsData()

eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\DoctrineDatabase::loadAllGroupsData | ( |  | ) |

Returns an array with data about all Group objects.

Returns
  string[][]

Reimplemented from eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway.

Definition at line 532 of file Persistence/Legacy/Content/Type/Gateway/DoctrineDatabase.php.

References eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\DoctrineDatabase\createGroupLoadQuery().

## ◆ loadFieldDefinition()

eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\DoctrineDatabase::loadFieldDefinition | ( |  | $id,
|  |  | $status
| ) |  |

Loads an array with data about field definition referred $id and $status.

Parameters

  mixed | $id | field definition id
  int | $status | One of Type::STATUS_DEFINED|Type::STATUS_DRAFT|Type::STATUS_MODIFIED

Returns
  array Data rows.

Reimplemented from eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway.

Definition at line 758 of file Persistence/Legacy/Content/Type/Gateway/DoctrineDatabase.php.

References eZ\Publish\SPI\Persistence\Content\Type\$id, and eZ\Publish\SPI\Persistence\Content\Type\$status.

## ◆ loadGroupData()

eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\DoctrineDatabase::loadGroupData | ( | array | $groupIds | ) |

Loads data about Groups with $groupIds.

Parameters

  int[] | $groupIds |

Returns
  string[][]

Reimplemented from eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway.

Definition at line 493 of file Persistence/Legacy/Content/Type/Gateway/DoctrineDatabase.php.

References eZ\Publish\SPI\Persistence\Content\Type\$groupIds.

Referenced by eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\DoctrineDatabase\insertGroupAssignment().

## ◆ loadGroupDataByIdentifier()

eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\DoctrineDatabase::loadGroupDataByIdentifier | ( |  | $identifier | ) |

Loads data about Group with $identifier.

Parameters

  mixed | $identifier |

Returns
  string[][]

Reimplemented from eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway.

Definition at line 512 of file Persistence/Legacy/Content/Type/Gateway/DoctrineDatabase.php.

References eZ\Publish\SPI\Persistence\Content\Type\$identifier, and eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\DoctrineDatabase\createGroupLoadQuery().

## ◆ loadTypeData()

eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\DoctrineDatabase::loadTypeData | ( |  | $typeId,
|  |  | $status
| ) |  |

Loads an array with data about $typeId in $status.

Parameters

  mixed | $typeId |
  int | $status |

Returns
  array Data rows.

Reimplemented from eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway.

Definition at line 1042 of file Persistence/Legacy/Content/Type/Gateway/DoctrineDatabase.php.

## ◆ loadTypeDataByIdentifier()

eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\DoctrineDatabase::loadTypeDataByIdentifier | ( |  | $identifier,
|  |  | $status
| ) |  |

Loads an array with data about the type referred to by $identifier in $status.

Parameters

  string | $identifier |
  int | $status |

Returns
  array(int=>array(string=>mixed)) Data rows.

Reimplemented from eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway.

Definition at line 1063 of file Persistence/Legacy/Content/Type/Gateway/DoctrineDatabase.php.

## ◆ loadTypeDataByRemoteId()

eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\DoctrineDatabase::loadTypeDataByRemoteId | ( |  | $remoteId,
|  |  | $status
| ) |  |

Loads an array with data about the type referred to by $remoteId in $status.

Parameters

  mixed | $remoteId |
  int | $status |

Returns
  array(int=>array(string=>mixed)) Data rows.

Reimplemented from eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway.

Definition at line 1084 of file Persistence/Legacy/Content/Type/Gateway/DoctrineDatabase.php.

## ◆ loadTypesDataForGroup()

eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\DoctrineDatabase::loadTypesDataForGroup | ( |  | $groupId,
|  |  | $status
| ) |  |

Loads data for all Types in $status in $groupId.

Parameters

  mixed | $groupId |
  int | $status |

Returns
  string[][]

Reimplemented from eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway.

Definition at line 572 of file Persistence/Legacy/Content/Type/Gateway/DoctrineDatabase.php.

References eZ\Publish\SPI\Persistence\Content\Type\$status, and eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\DoctrineDatabase\getLoadTypeQueryBuilder().

## ◆ loadTypesListData()

eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\DoctrineDatabase::loadTypesListData | ( | array | $typeIds | ) |

Loads an array with data about several Types in defined status.

Parameters

  array | $typeIds |

Returns
  array Data rows.

Reimplemented from eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway.

Definition at line 1022 of file Persistence/Legacy/Content/Type/Gateway/DoctrineDatabase.php.

## ◆ publishTypeAndFields()

eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\DoctrineDatabase::publishTypeAndFields | ( |  | $typeId,
|  |  | $sourceVersion,
|  |  | $targetVersion
| ) |  |

Publishes the Type with $typeId from $sourceVersion to $targetVersion, including its fields.

Parameters

  int | $typeId |
  int | $sourceVersion |
  int | $targetVersion |

Reimplemented from eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway.

Definition at line 1344 of file Persistence/Legacy/Content/Type/Gateway/DoctrineDatabase.php.

## ◆ removeByUserAndVersion()

eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\DoctrineDatabase::removeByUserAndVersion | ( | int | $userId,
|  | int | $version
| ) |  |

Removes types created or modified by the user.

Reimplemented from eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway.

Definition at line 1548 of file Persistence/Legacy/Content/Type/Gateway/DoctrineDatabase.php.

## ◆ removeFieldDefinitionTranslation()

eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\DoctrineDatabase::removeFieldDefinitionTranslation | ( | int | $fieldDefinitionId,
|  | string | $languageCode,
|  | int | $status
| ) |  |

Removes fieldDefinition data from multilingual table.

Parameters

  int | $fieldDefinitionId |
  string | $languageCode |
  int | $status |

Exceptions

Reimplemented from eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway.

Definition at line 1525 of file Persistence/Legacy/Content/Type/Gateway/DoctrineDatabase.php.

## ◆ selectColumns()

eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\DoctrineDatabase::selectColumns | ( | SelectQuery | $q,
|  |  | $tableName
| ) |  |
| protected

Creates an array of select columns for $tableName.

Parameters

  \eZ\Publish\Core\Persistence\Database\SelectQuery | $q |
  string | $tableName |

Definition at line 1458 of file Persistence/Legacy/Content/Type/Gateway/DoctrineDatabase.php.

References eZ\Publish\Core\Persistence\Database\SelectQuery\select().

## ◆ setCommonFieldColumns()

eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\DoctrineDatabase::setCommonFieldColumns | ( | Query | $q,
|  | FieldDefinition | $fieldDefinition,
|  | StorageFieldDefinition | $storageFieldDef
| ) |  |
| protected

Set common columns for insert/update of FieldDefinition.

Parameters

  \eZ\Publish\Core\Persistence\Database\InsertQuery | \eZ\Publish\Core\Persistence\Database\UpdateQuery | $q |
  \eZ\Publish\SPI\Persistence\Content\Type\FieldDefinition | $fieldDefinition |
  \eZ\Publish\Core\Persistence\Legacy\Content\StorageFieldDefinition | $storageFieldDef |

Definition at line 670 of file Persistence/Legacy/Content/Type/Gateway/DoctrineDatabase.php.

References eZ\Publish\Core\Persistence\Database\Query\bindValue().

Referenced by eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\DoctrineDatabase\insertFieldDefinition().

## ◆ setCommonTypeColumns()

eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\DoctrineDatabase::setCommonTypeColumns | ( | Query | $q,
|  | ValueObject | $type
| ) |  |
| protected

Set common columns for insert/update of a Type.

Parameters

  \eZ\Publish\Core\Persistence\Database\InsertQuery | \eZ\Publish\Core\Persistence\Database\UpdateQuery | $q |
  \eZ\Publish\SPI\Persistence\ValueObject | \eZ\Publish\SPI\Persistence\Content\Type | $type |

Definition at line 372 of file Persistence/Legacy/Content/Type/Gateway/DoctrineDatabase.php.

References eZ\Publish\Core\Persistence\Database\Query\bindValue().

Referenced by eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\DoctrineDatabase\insertType().

## ◆ updateFieldDefinition()

eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\DoctrineDatabase::updateFieldDefinition | ( |  | $typeId,
|  |  | $status,
|  | FieldDefinition | $fieldDefinition,
|  | StorageFieldDefinition | $storageFieldDef
| ) |  |

Updates a $fieldDefinition for $typeId.

Parameters

  mixed | $typeId |
  int | $status |
  \eZ\Publish\SPI\Persistence\Content\Type\FieldDefinition | $fieldDefinition |
  \eZ\Publish\Core\Persistence\Legacy\Content\StorageFieldDefinition | $storageFieldDef |

Reimplemented from eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway.

Definition at line 854 of file Persistence/Legacy/Content/Type/Gateway/DoctrineDatabase.php.

References eZ\Publish\SPI\Persistence\Content\Type\$status.

## ◆ updateFieldDefinitionMultilingualData()

eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\DoctrineDatabase::updateFieldDefinitionMultilingualData | ( | int | $fieldDefinitionId,
|  | MultilingualStorageFieldDefinition | $multilingualData,
|  | int | $status
| ) |  |
| private

Parameters

  int | $fieldDefinitionId |
  \eZ\Publish\Core\Persistence\Legacy\Content\MultilingualStorageFieldDefinition | $multilingualData |
  int | $status |

Definition at line 938 of file Persistence/Legacy/Content/Type/Gateway/DoctrineDatabase.php.

## ◆ updateGroup()

eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\DoctrineDatabase::updateGroup | ( | GroupUpdateStruct | $group | ) |

Updates a group with data in $group.

Parameters

  \eZ\Publish\SPI\Persistence\Content\Type\Group\UpdateStruct | $group |

Reimplemented from eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway.

Definition at line 170 of file Persistence/Legacy/Content/Type/Gateway/DoctrineDatabase.php.

## ◆ updateType()

eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\DoctrineDatabase::updateType | ( |  | $typeId,
|  |  | $status,
|  | Type | $type
| ) |  |

Update a type with $updateStruct.

Parameters

  mixed | $typeId |
  int | $status |
  \eZ\Publish\SPI\Persistence\Content\Type\UpdateStruct | $updateStruct |

Reimplemented from eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway.

Definition at line 996 of file Persistence/Legacy/Content/Type/Gateway/DoctrineDatabase.php.

## Member Data Documentation

## ◆ $columns

eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\DoctrineDatabase::$columns
| protected

Definition at line 37 of file Persistence/Legacy/Content/Type/Gateway/DoctrineDatabase.php.

## ◆ $connection

eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\DoctrineDatabase::$connection
| protected

Definition at line 104 of file Persistence/Legacy/Content/Type/Gateway/DoctrineDatabase.php.

Referenced by eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\DoctrineDatabase\__construct().

## ◆ $dbHandler

eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\DoctrineDatabase::$dbHandler
| protected

Definition at line 95 of file Persistence/Legacy/Content/Type/Gateway/DoctrineDatabase.php.

## ◆ $languageMaskGenerator

eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\DoctrineDatabase::$languageMaskGenerator
| protected

Definition at line 111 of file Persistence/Legacy/Content/Type/Gateway/DoctrineDatabase.php.

Referenced by eZ\Publish\Core\Persistence\Legacy\Content\Type\Gateway\DoctrineDatabase\__construct().

The documentation for this class was generated from the following file:

- Persistence/Legacy/Content/Type/Gateway/DoctrineDatabase.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.